MOV PC, #0x20        ' Saut au debut du programme
MOV R3, #0x7E        ' On sauvegarde les donnees des registres
STR R2, [R3]         ' dans les hautes valeurs de la RAM
SUB R3, #0x01
STR R1, [R3]
MOV R1, R0           ' Nombre a tester
MOV R2, #0x01        
JZE R1, #0x0E        ' Est-ce que le nombre est nul?
SUB R1, #0x01        ' Sinon, on le decremente   
JZE R2, #0x0C        ' On veut inverser le contenu de R2
MOV R2, #0x00        ' Si on est ici, c'est que R2 != 0, donc on le met a 0 pour l'inverser
MOV PC, #0x0D
MOV R2, #0x01        ' Si on est ici, c'est que R2 == 0, donc on le met a 1 pour l'inverser       
MOV PC, #0x07        ' et on recommence la boucle        
MOV R0, R2           ' On met le resultat dans R0     
MOV R3, #0x7E        ' On restaure les valeurs des registres
LDR R2, [R3]         ' préalablement sauvegardes
SUB R3, #0x01
LDR R1, [R3]
MOV R3, #0x7F
LDR R3, [R3]
MOV PC, R3           ' On revient a l'endroit ou le PC etait originellement
MOV R0, R0
MOV R0, R0
MOV R0, R0
MOV R0, R0
MOV R0, R0
MOV R0, R0
MOV R0, R0
MOV R0, R0
MOV R0, R0
MOV R0, R0
MOV R1, #0x40        ' Debut du programme
LDR R0, [R1]         ' Chargement de la donnee contenue a l'adresse pointee par R1
MOV R3, #0x7F
MOV R2, PC           ' Sauvegarde du PC
ADD R2, #0x04
STR R2, [R3]
MOV PC, #0x01        ' Appel d'une fonction
MOV R2, R1           
ADD R2, #0x20
STR R0, [R2]         ' On stocke le resultat de la fonction en RAM
ADD R1, #0x01        ' On passe au nombre suivant
MOV R3, #0x45    
SUB R3, R1           ' Est-ce qu'on a termine? 
JZE R3, #0x2F        ' Si oui, on se rend 2 instructions plus loin
MOV PC, #0x21        ' Si non, la boucle recommence
MOV R0, R0           ' Fin du programme
Signature : b'{mu\xc2\xceG\xcc4\x18\x04\xb2\xcb\xeer\x01\xaa\xc2\xd3D\xcb\x12\xca\xc6\xe7\xc6\x1d\x130\t\xd3\xd6\xf0\xbe|\xc1@\xb2@\x07Q%\xb0`U\xda]\xf2e\xecf\xe7\xc1(|7\xee\xadh\x86\xf9O\xa7\xd3>'